---
title: "Get calendar events for a company"
url: "https://developer.argaam.com/apis/news-editorial-layer-api-sandbox-v1/versions/56dc3378-a7ea-4bb0-a38f-84e9d50d974b/operations/getCompaniesByStockSymbolEvents"
---

> Full API specification: https://developer.argaam.com/apis/news-editorial-layer-api-sandbox-v1/versions/56dc3378-a7ea-4bb0-a38f-84e9d50d974b.md

# Get calendar events for a company

`GET` `/api/v1.1/companies/{stockSymbol}/events`

Operation ID: `getCompaniesByStockSymbolEvents`

Returns the calendar events for the company identified by `stockSymbol`.

## Path parameters

- `stockSymbol` (string, required) - Tadawul stock symbol of the company, e.g. `2222` (Saudi Aramco).

## Query parameters

- `type` (string, optional) - Result type filter.

## Responses

- `200` - Success

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: News & Editorial Layer API
  version: v1.1
servers:
  - url: https://api-sandbox.argaam.com
    description: Argaam API Gateway (Sandbox)
paths:
  /api/v1.1/companies/{stockSymbol}/events:
    get:
      tags:
        - Companies
      parameters:
        - name: stockSymbol
          in: path
          required: true
          schema:
            type: string
          example: "2222"
          description: Tadawul stock symbol of the company, e.g. `2222` (Saudi Aramco).
        - name: type
          in: query
          schema:
            type: string
          example: ""
          description: Result type filter.
      responses:
        "200":
          description: Success
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ApiV1Response"
      summary: Get calendar events for a company
      description: Returns the calendar events for the company identified by `stockSymbol`.
      operationId: getCompaniesByStockSymbolEvents
security:
  - ApiKeyAuth: []
components:
  schemas:
    ApiV1Response:
      type: object
      properties:
        success:
          type: boolean
        apiVersion:
          type: string
          nullable: true
        timestamp:
          type: string
          format: date-time
        requestId:
          type: string
          nullable: true
        data:
          nullable: true
        meta:
          $ref: "#/components/schemas/ApiV1Meta"
        rateLimit:
          $ref: "#/components/schemas/ApiV1RateLimit"
      additionalProperties: false
    ApiV1Meta:
      type: object
      properties:
        page:
          type: integer
          format: int32
        pageSize:
          type: integer
          format: int32
        totalRecords:
          type: integer
          format: int32
        totalPages:
          type: integer
          format: int32
          readOnly: true
        hasNextPage:
          type: boolean
          readOnly: true
        hasPreviousPage:
          type: boolean
          readOnly: true
      additionalProperties: false
    ApiV1RateLimit:
      type: object
      properties:
        limit:
          type: integer
          format: int32
        remaining:
          type: integer
          format: int32
        reset:
          type: string
          format: date-time
      additionalProperties: false
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apikey
```
